about summary refs log tree commit diff homepage
path: root/.travis/solvers.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/solvers.sh')
-rwxr-xr-x.travis/solvers.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/.travis/solvers.sh b/.travis/solvers.sh
new file mode 100755
index 00000000..db717f2d
--- /dev/null
+++ b/.travis/solvers.sh
@@ -0,0 +1,27 @@
+#!/bin/bash -x
+# Make sure we exit if there is a failure
+set -e
+: ${SOLVERS?"Solvers must be specified"}
+
+SOLVER_LIST=$(echo "${SOLVERS}" | sed 's/:/ /')
+
+for solver in ${SOLVER_LIST}; do
+  echo "Getting solver ${solver}"
+  case ${solver} in
+  STP)
+    echo "STP"
+    mkdir stp
+    cd stp
+    ${KLEE_SRC}/.travis/stp.sh
+    cd ../
+    ;;
+  Z3)
+    echo "Z3"
+    # Should we install libz3-dbg too?
+    sudo apt-get -y install libz3 libz3-dev
+    ;;
+  *)
+    echo "Unknown solver ${solver}"
+    exit 1
+  esac
+done